# Interface IViewPortTable

Represents the DXF viewport table section.

interface IViewPortTable {
handle: string;
ownerHandle: string;
viewPorts: IViewPort[];
}

#### Hierarchy (view full)

- IBaseTable
  - IViewPortTable

#####
Index

### Properties

handle
ownerHandle
viewPorts

##
Properties

### handle

handle: string

Unique handle identifier for this table.

Inherited from IBaseTable.handle

### ownerHandle

ownerHandle: string

Handle of the owner object.

Inherited from IBaseTable.ownerHandle

### viewPorts

viewPorts: IViewPort[]

Collection of viewports defined in the table.